Upgrade PHP in my XAMPP

Alles, was PHP betrifft, kann hier besprochen werden.

Upgrade PHP in my XAMPP

Postby lastur » 18. January 2019 07:08

Hello,
I have a mess with the PHP version (my PC is Linux Mint 64b)

1) I have xampp installed:
http://localhost/dashboard/phpinfo.php --> PHP Version 7.0.24

2) Linux console:
~ $ php --version
PHP 7.2.14-1+ubuntu16.04.1+deb.sury.org+1 (cli) (built: Jan 13 2019 10:05:18) ( NTS )

3) Joomla 3.9.0 control panel:
Error, We have detected that your server is using PHP 7.0.24 which is obsolete and no longer receives official security updates by its developers...

How can I upgrade the php of my XAMPP from 7.0 to 7.2?
lastur
 
Posts: 8
Joined: 14. September 2016 05:49
XAMPP version: 5.5.38
Operating System: Mint 18

Re: Upgrade PHP in my XAMPP

Postby Altrea » 18. January 2019 09:33

Hi,

XAMPP does not support updating any of the single components.
If you want to use a newer version of PHP in XAMPP you need to uninstall and reinstall a different xampp version.
So don't forget to fully backup your web applications and databases.

Best wishes,
Altrea
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 9760
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Upgrade PHP in my XAMPP

Postby lastur » 19. January 2019 04:59

I'll do that.
Thank you!
lastur
 
Posts: 8
Joined: 14. September 2016 05:49
XAMPP version: 5.5.38
Operating System: Mint 18


Return to PHP

Who is online

Users browsing this forum: No registered users and 2 guests